- Qt 5.15
- Qt 3D
- C++ Classes
- QKeyboardDevice
- Qt 5.15.11 Reference Documentation

# QKeyboardDevice Class

class Qt3DInput::QKeyboardDevice

QKeyboardDevice is in charge of dispatching keyboard events to attached QQKeyboardHandler objects. More...

Header: | #include <QKeyboardDevice>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | KeyboardDevice
Inherits: | Qt3DInput::QAbstractPhysicalDevice

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Properties

- activeInput : Qt3DInput::QKeyboardHandler* const

## Public Functions

| QKeyboardDevice(QNode *parent = nullptr)
QKeyboardHandler * | activeInput() const

## Reimplemented Public Functions

virtual int | axisCount() const override
virtual int | axisIdentifier(const QString &name) const override
virtual QStringList | axisNames() const override
virtual int | buttonCount() const override
virtual int | buttonIdentifier(const QString &name) const override
virtual QStringList | buttonNames() const override

## Signals

void | activeInputChanged(QKeyboardHandler *activeInput)

## Detailed Description

## Property Documentation

### activeInput : Qt3DInput::QKeyboardHandler* const

Holds the active QKeyboardHandler of the device.

Access functions:

QKeyboardHandler * | activeInput() const

Notifier signal:

void | activeInputChanged(QKeyboardHandler *activeInput)

## Member Function Documentation

### QKeyboardDevice::QKeyboardDevice(QNode *parent = nullptr)

Constructs a new QKeyboardDevice instance with parent.

### `[override virtual]` int QKeyboardDevice::axisCount() const

Reimplements: QAbstractPhysicalDevice::axisCount() const.

Returns the axis count.

Note: Currently always returns zero.

### `[override virtual]` int QKeyboardDevice::axisIdentifier(const QString &name) const

Reimplements: QAbstractPhysicalDevice::axisIdentifier(const QString &name) const.

Returns the axisIdentifier matching the name.

### `[override virtual]` QStringList QKeyboardDevice::axisNames() const

Reimplements: QAbstractPhysicalDevice::axisNames() const.

Returns the axis names.

Note: Currently always returns empty QStringList.

### `[override virtual]` int QKeyboardDevice::buttonCount() const

Reimplements: QAbstractPhysicalDevice::buttonCount() const.

Returns the button count.

### `[override virtual]` int QKeyboardDevice::buttonIdentifier(const QString &name) const

Reimplements: QAbstractPhysicalDevice::buttonIdentifier(const QString &name) const.

Returns the buttonIdentifier matching the name.

### `[override virtual]` QStringList QKeyboardDevice::buttonNames() const

Reimplements: QAbstractPhysicalDevice::buttonNames() const.

Returns the button names.